> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Prompt Config



## OpenAPI

````yaml /openapi.json get /v1/prompts/config
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/prompts/config:
    get:
      tags:
        - Prompts
      summary: Retrieve Prompt Config
      operationId: prompts_config_retrieve
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicPromptConfigResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    PublicPromptConfigResponse:
      properties:
        topics:
          items:
            $ref: '#/components/schemas/PublicPromptTopic'
          type: array
          title: Topics
        platforms:
          items:
            $ref: '#/components/schemas/PublicPromptPlatformCatalogItem'
          type: array
          title: Platforms
        languages:
          items:
            $ref: '#/components/schemas/PublicPromptLanguage'
          type: array
          title: Languages
        regions:
          items:
            $ref: '#/components/schemas/PublicPromptRegion'
          type: array
          title: Regions
        defaults:
          $ref: '#/components/schemas/PublicPromptDefaults'
      type: object
      required:
        - topics
        - platforms
        - languages
        - regions
        - defaults
      title: PublicPromptConfigResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicPromptTopic:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - name
      title: PublicPromptTopic
    PublicPromptPlatformCatalogItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        credits_per_prompt:
          type: integer
          title: Credits Per Prompt
      type: object
      required:
        - id
        - name
        - credits_per_prompt
      title: PublicPromptPlatformCatalogItem
    PublicPromptLanguage:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
      type: object
      required:
        - id
        - name
      title: PublicPromptLanguage
    PublicPromptRegion:
      properties:
        id:
          type: string
          title: Id
        country:
          type: string
          title: Country
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Country Code
      type: object
      required:
        - id
        - country
      title: PublicPromptRegion
    PublicPromptDefaults:
      properties:
        language_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Language Id
        region_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Region Id
      type: object
      title: PublicPromptDefaults
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````